Package classycle.dependency

# Class ResultContainer

java.lang.Object
classycle.dependency.ResultContainer

All Implemented Interfaces:
  `Result`

public class ResultContainer extends Object implements Result
Container of `Result` instances.

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`ResultContainer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Result result)`
Adds a result.
`int`
`getNumberOfResults()`
Returns the number of added results.
`Result`
`getResult(int index)`
Returns the result with specified index.
`boolean`
`isOk()`
Returns `true` if all added `Result` instances returned `true`.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResultContainer

public ResultContainer()

## Method Details

### add

public void add(Result result)
Adds a result.

### getNumberOfResults

public int getNumberOfResults()
Returns the number of added results.

### getResult

public Result getResult(int index)
Returns the result with specified index.

### isOk

public boolean isOk()
Returns `true` if all added `Result` instances returned `true`.

Specified by:
  `isOk` in interface `Result`

### toString

public String toString()

Overrides:
  `toString` in class `Object`